* {
    box-sizing: border-box
}

html {
    font-weight: 300;
    -webkit-font-smoothing: antialiased
}

.imageUrlPopup {
    position: absolute;
    bottom: 90px;
    width: 94%;
    margin: 0 auto;
    left: 2%;
    right: 2%
   color: #fff;
}

.imageUrlPopup input {
    position: absolute;
    width: 80%;
    height: 27px;
    padding: 0 10px;
    border: none;
  background: rgba(0,0,0,0.6);
    color: #fff;
}

.imageUrlPopup button {
    position: absolute;
    width: 20%;
      background: rgba(0,0,0,0.6);
    right: 0;
    color: #fff;
    height: 27px;
    border: none
}

.addImageUrlButton {
    position: absolute;
    right: 80px;
    height: 40px;
    border: none;
    bottom: 10px;
    background: none
}

.sendMessageButton {
    position: absolute;
    right: 10px;
    color: #fff;
    background: rgba(0,0,0,0.6);
    width: 70px;
    border: none;
    height: 40px;
    bottom: 10px
}

html,input {
    font-family: helveticaneue-light,helvetica neue light,helvetica neue,Helvetica,Arial,lucida grande,sans-serif
}

html,body {
    height: 100%;
    margin: 0;
    padding: 0
}

ul {
    list-style: none;
    word-wrap: break-word
}

.message {
    margin-bottom: 10px;

}

.me {
    text-align: right
}
.messageBody {
    color: #fff;
    font-size: 12px
}
.messageBody img {
    width: 100%;
}

.pages {
    height: 100%;
    margin: 0;
    padding: 0;
    width: 100%
}

.page {
    height: 100%;
    position: absolute;
    width: 100%
}

.login.page {
    background-color: #000
}

.login.page .form {
    height: 100px;
    margin-top: -100px;
    position: absolute;
    text-align: center;
    top: 50%;
    width: 100%
}

.login.page .form .usernameInput {
    background-color: transparent;
    border: none;
    border-bottom: 2px solid #fff;
    outline: none;
    padding-bottom: 15px;
    text-align: center;
    width: 60%
}

.login.page .title {
    font-size: 200%
}

.login.page .usernameInput {
    font-size: 200%;
    letter-spacing: 3px
}

.login.page .title,.login.page .usernameInput {
    color: #fff;
    font-weight: 100
}

.chat.page {
    display: none
}

.messages {
    font-size: 100%
}

.inputMessage {
    font-size: 100%
}

.log {
    color: gray;
    font-size: 70%;
    margin: 5px;
    text-align: center
}

.chatArea {
    height: 100%;
    padding-bottom: 60px;
    background: rgba(0,0,0,0.1) !important;
}

.me .username {
    text-align: right
}

.messages {
    height: 100%;
    margin: 0;
    overflow-y: scroll;
    padding: 10px 20px;
    background: none !important;
}

.message.typing .messageBody {
    color: gray
}
.messageBody {
    display: block;
}
.username {
    display: inline-block;
    font-weight: 500;
    font-size: 11px;
    padding: 2px 8px;
    border-radius: 10px;
    background: rgba(255,255,255,0.85);
    margin-bottom: 4px;
    overflow: hidden;

    text-align: left
}

.inputMessage {
    border: 1px solid rgba(255,255,255,0.2);
    bottom: 0;
    height: 60px;
    left: 5px;
    color: #fff;
    background: rgba(0,0,0,0.1);
    outline: none;
    padding-left: 10px;
    padding-right: 112px;
    position: absolute;
    right: 5px;
    font-size: 12px;
}
